# Crate libz_sys [−] [src]

## Structs

gz_header |
z_stream |

## Enums

gzFile_s |
internal_state |

## Constants

Z_ASCII |
Z_BEST_COMPRESSION |
Z_BEST_SPEED |
Z_BINARY |
Z_BLOCK |
Z_BUF_ERROR |
Z_DATA_ERROR |
Z_DEFAULT_COMPRESSION |
Z_DEFAULT_STRATEGY |
Z_DEFLATED |
Z_ERRNO |
Z_FILTERED |
Z_FINISH |
Z_FIXED |
Z_FULL_FLUSH |
Z_HUFFMAN_ONLY |
Z_MEM_ERROR |
Z_NEED_DICT |
Z_NO_COMPRESSION |
Z_NO_FLUSH |
Z_OK |
Z_PARTIAL_FLUSH |
Z_RLE |
Z_STREAM_END |
Z_STREAM_ERROR |
Z_SYNC_FLUSH |
Z_TEXT |
Z_TREES |
Z_UNKNOWN |
Z_VERSION_ERROR |

## Functions

adler32 |
adler32_combine |
compress |
compress2 |
compressBound |
crc32 |
crc32_combine |
deflate |
deflateBound |
deflateCopy |
deflateEnd |
deflateInit2_ |
deflateInit_ |
deflateParams |
deflatePrime |
deflateReset |
deflateSetDictionary |
deflateSetHeader |
deflateTune |
gzclearerr |
gzclose |
gzdirect |
gzdopen |
gzeof |
gzerror |
gzflush |
gzgetc |
gzgets |
gzopen |
gzputc |
gzputs |
gzread |
gzrewind |
gzseek |
gzsetparams |
gztell |
gzungetc |
gzwrite |
inflate |
inflateBack |
inflateBackEnd |
inflateBackInit_ |
inflateCopy |
inflateEnd |
inflateGetHeader |
inflateInit2_ |
inflateInit_ |
inflateMark |
inflatePrime |
inflateReset |
inflateReset2 |
inflateSetDictionary |
inflateSync |
uncompress |
zlibCompileFlags |
zlibVersion |

## Type Definitions

Bytef |
alloc_func |
free_func |
gzFile |
gz_headerp |
in_func |
out_func |
uInt |
uLong |
uLongf |
voidp |
voidpc |
voidpf |
z_off_t |
z_streamp |

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)